# -*- coding: utf-8 -*-

from django.contrib import admin

from group.models import GroupInfo, GroupUserInfo, GroupPhotoInfo


class GroupInfoAdmin(admin.ModelAdmin):
    list_display = ('group_id', 'admin_id', 'group_name', 'group_desc', 'group_from', 'group_lock', 'status', 'created_at', 'updated_at')
    list_filter = ('group_from', 'group_lock', 'status')


class GroupUserInfoAdmin(admin.ModelAdmin):
    list_display = ('group_id', 'user_id', 'current_id', 'nickname', 'admin', 'user_status', 'passed_at', 'refused_at', 'status', 'created_at', 'updated_at')
    list_filter = ('user_status', 'status')


class GroupPhotoInfoAdmin(admin.ModelAdmin):
    list_display = ('group_id', 'user_id', 'nickname', 'photo_path', 'photo_thumbnail_path', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


admin.site.register(GroupInfo, GroupInfoAdmin)
admin.site.register(GroupUserInfo, GroupUserInfoAdmin)
admin.site.register(GroupPhotoInfo, GroupPhotoInfoAdmin)
